<?php

namespace Teknisa\MAN\Services;

use Doctrine\ORM\EntityManager;
use Teknisa\MAN\Utilities;

class SugestaoVendaService {

	public function __construct(EntityManager $entityManager) {
        $this->entityManager = $entityManager;
    }
    
    public function saveExportItem($params){
        return $this->entityManager->getConnection()->executeQuery(self::INSERT_EXPORT_SUGESTAO_ITEM, $params);
    }
    
    public function deleteItensToExport($params){
        return $this->entityManager->getConnection()->executeQuery(self::DELETE_ITEM, $params);
    }
    
    public function buscaItens($params){
        return $this->entityManager->getConnection()->fetchAll(self::BUSCA_ITEM_SUGESTAO, $params);
    }
   
   // Futuro  
   /*
    const INSERT_EXPORT_SUGESTAO_PRODUTO = "
        INSERT INTO SUGESTAOVENDA
            (CDFILIAL, NRCONFTELA, CDPRODUTO, IDSUGESTAOVENDA, NRORG)
        VALUE
            (:NEWCDFILIAL, :NEWNRCONFTELA, :CDPRODUTO, :NEWIDSUGESTAOVENDA, :NRORG)
    ";*/
    
    const INSERT_EXPORT_SUGESTAO_ITEM = "
        INSERT INTO SUGESTAOITEM
           (IDSUGESTAOVENDA, IDSUGESTAOITEM, IDSUGESTAOTIPO, CDSUGESTAOITEM, NRORDEMSUG, NRORG)
        VALUES
           (:IDSUGESTAOVENDA, :IDSUGESTAOITEM, :IDSUGESTAOTIPO, :CDSUGESTAOITEM, :NRORDEMSUG, :NRORG)
    ";
    
    const BUSCA_ITEM_SUGESTAO = "
        SELECT IDSUGESTAOITEM, IDSUGESTAOVENDA, IDSUGESTAOTIPO, CDSUGESTAOITEM, NRORDEMSUG, NRORG
          FROM SUGESTAOITEM
         WHERE IDSUGESTAOVENDA = :IDSUGESTAOVENDA
           AND ((INSTR(:CDSUGESTAOITEM, CDSUGESTAOITEM) > 0) OR (:TCDSUGESTAOITEM = 'T'))
           AND NRORG = :NRORG
    ";
    
    const DELETE_ITEM = "
        DELETE SUGESTAOITEM
        WHERE IDSUGESTAOVENDA = :IDSUGESTAOVENDA
    ";
}